<?php
// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $productName = $_POST["product_name"];
    $price = $_POST["price"];
    $description = $_POST["description"];
    $image = $_POST["image"];

    // Validate and sanitize the data
    $productName = htmlspecialchars($productName);
    $price = floatval($price);
    $description = htmlspecialchars($description);
    $image = htmlspecialchars($image);

    // Database connection parameters
    $servername = "localhost"; // Change this to your server's address
    $username = "username";   // Change this to your database username
    $password = "password";   // Change this to your database password
    $dbname = "product_db";   // Change this to your database name

    // Create a database connection
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Check connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Prepare and execute an SQL statement to insert data into the database
    $stmt = $conn->prepare("INSERT INTO products (product_name, price, description, image) VALUES (?, ?, ?, ?)");
    $stmt->bind_param("sds", $productName, $price, $description, $image);

    if ($stmt->execute()) {
        echo "Product listing created successfully!";
    } else {
        echo "Error: " . $stmt->error;
    }

    // Close the statement and connection
    $stmt->close();
    $conn->close();
}
?>
